package com.company.ficons.view.main;

import com.company.ficons.component.ExtJmixListMenu;
import com.company.ficons.icons.MyIcons;
import com.vaadin.flow.router.Route;
import io.jmix.flowui.app.main.StandardMainView;
import io.jmix.flowui.component.main.JmixListMenu;
import io.jmix.flowui.kit.component.main.ListMenu;
import io.jmix.flowui.view.Subscribe;
import io.jmix.flowui.view.ViewComponent;
import io.jmix.flowui.view.ViewController;
import io.jmix.flowui.view.ViewDescriptor;

@Route("")
@ViewController("MainView")
@ViewDescriptor("main-view.xml")
public class MainView extends StandardMainView {
    @ViewComponent
    protected ExtJmixListMenu menu;

    @Subscribe
    protected void onInit(final InitEvent event) {
        menu.addIconToMenuItem("User.list", MyIcons.BUSHES_OF_LEAVES_SVGREPO_COM);
        menu.addIconToMenuItem("application", MyIcons.LEAVES_2_SVGREPO_COM);
    }
}
